
package com.ejie.ab61.clientesWS.X43CuentasInteresados;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ab61.clientesWS.X43CuentasInteresados package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetRepresentationsFoldersResponse_QNAME = new QName("com/ejie/x43a/rri/ws/xml", "getRepresentationsFoldersResponse");
    private final static QName _GetPersonsAccountResponse_QNAME = new QName("com/ejie/x43a/rri/ws/xml", "getPersonsAccountResponse");
    private final static QName _UpdatePersonsAccountResponse_QNAME = new QName("com/ejie/x43a/rri/ws/xml", "updatePersonsAccountResponse");
    private final static QName _UpdateRepresentationToFolderParticipantResponse_QNAME = new QName("com/ejie/x43a/rri/ws/xml", "updateRepresentationToFolderParticipantResponse");
    private final static QName _GetEmployeeContactDataResponse_QNAME = new QName("com/ejie/x43a/rri/ws/xml", "getEmployeeContactDataResponse");
    private final static QName _GetPersonsConsentResponse_QNAME = new QName("com/ejie/x43a/rri/ws/xml", "getPersonsConsentResponse");
    private final static QName _UpdateRepresentationToRdRResponse_QNAME = new QName("com/ejie/x43a/rri/ws/xml", "updateRepresentationToRdRResponse");
    private final static QName _SearchPersonAccountResponse_QNAME = new QName("com/ejie/x43a/rri/ws/xml", "searchPersonAccountResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ab61.clientesWS.X43CuentasInteresados
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TListaInteresados }
     * 
     */
    public TListaInteresados createTListaInteresados() {
        return new TListaInteresados();
    }

    /**
     * Create an instance of {@link TUpdateRepresentationList }
     * 
     */
    public TUpdateRepresentationList createTUpdateRepresentationList() {
        return new TUpdateRepresentationList();
    }

    /**
     * Create an instance of {@link SearchPersonAccount }
     * 
     */
    public SearchPersonAccount createSearchPersonAccount() {
        return new SearchPersonAccount();
    }

    /**
     * Create an instance of {@link TInteresadosSearch }
     * 
     */
    public TInteresadosSearch createTInteresadosSearch() {
        return new TInteresadosSearch();
    }

    /**
     * Create an instance of {@link FilterPersonAccount }
     * 
     */
    public FilterPersonAccount createFilterPersonAccount() {
        return new FilterPersonAccount();
    }

    /**
     * Create an instance of {@link UpdatePersonsAccount }
     * 
     */
    public UpdatePersonsAccount createUpdatePersonsAccount() {
        return new UpdatePersonsAccount();
    }

    /**
     * Create an instance of {@link TUpdateInteresados }
     * 
     */
    public TUpdateInteresados createTUpdateInteresados() {
        return new TUpdateInteresados();
    }

    /**
     * Create an instance of {@link TDescriptionKeyValueList }
     * 
     */
    public TDescriptionKeyValueList createTDescriptionKeyValueList() {
        return new TDescriptionKeyValueList();
    }

    /**
     * Create an instance of {@link UpdateRepresentationToRdR }
     * 
     */
    public UpdateRepresentationToRdR createUpdateRepresentationToRdR() {
        return new UpdateRepresentationToRdR();
    }

    /**
     * Create an instance of {@link TUpdateRepresentanteParticipacion }
     * 
     */
    public TUpdateRepresentanteParticipacion createTUpdateRepresentanteParticipacion() {
        return new TUpdateRepresentanteParticipacion();
    }

    /**
     * Create an instance of {@link GetPersonsConsent }
     * 
     */
    public GetPersonsConsent createGetPersonsConsent() {
        return new GetPersonsConsent();
    }

    /**
     * Create an instance of {@link TInterestedSearch }
     * 
     */
    public TInterestedSearch createTInterestedSearch() {
        return new TInterestedSearch();
    }

    /**
     * Create an instance of {@link GetEmployeeContactData }
     * 
     */
    public GetEmployeeContactData createGetEmployeeContactData() {
        return new GetEmployeeContactData();
    }

    /**
     * Create an instance of {@link TInteresadoYEmpleadosSearch }
     * 
     */
    public TInteresadoYEmpleadosSearch createTInteresadoYEmpleadosSearch() {
        return new TInteresadoYEmpleadosSearch();
    }

    /**
     * Create an instance of {@link UpdateRepresentationToFolderParticipant }
     * 
     */
    public UpdateRepresentationToFolderParticipant createUpdateRepresentationToFolderParticipant() {
        return new UpdateRepresentationToFolderParticipant();
    }

    /**
     * Create an instance of {@link GetPersonsAccount }
     * 
     */
    public GetPersonsAccount createGetPersonsAccount() {
        return new GetPersonsAccount();
    }

    /**
     * Create an instance of {@link FilterPersonAccountResponse }
     * 
     */
    public FilterPersonAccountResponse createFilterPersonAccountResponse() {
        return new FilterPersonAccountResponse();
    }

    /**
     * Create an instance of {@link GetRepresentationsFolders }
     * 
     */
    public GetRepresentationsFolders createGetRepresentationsFolders() {
        return new GetRepresentationsFolders();
    }

    /**
     * Create an instance of {@link TRepresentationsSearch }
     * 
     */
    public TRepresentationsSearch createTRepresentationsSearch() {
        return new TRepresentationsSearch();
    }

    /**
     * Create an instance of {@link TRepresentanteParticipacionList }
     * 
     */
    public TRepresentanteParticipacionList createTRepresentanteParticipacionList() {
        return new TRepresentanteParticipacionList();
    }

    /**
     * Create an instance of {@link TAccountSearch }
     * 
     */
    public TAccountSearch createTAccountSearch() {
        return new TAccountSearch();
    }

    /**
     * Create an instance of {@link TCuentaList }
     * 
     */
    public TCuentaList createTCuentaList() {
        return new TCuentaList();
    }

    /**
     * Create an instance of {@link TCuentaSearch }
     * 
     */
    public TCuentaSearch createTCuentaSearch() {
        return new TCuentaSearch();
    }

    /**
     * Create an instance of {@link TContactoList }
     * 
     */
    public TContactoList createTContactoList() {
        return new TContactoList();
    }

    /**
     * Create an instance of {@link TIntegerList }
     * 
     */
    public TIntegerList createTIntegerList() {
        return new TIntegerList();
    }

    /**
     * Create an instance of {@link TRepresentante }
     * 
     */
    public TRepresentante createTRepresentante() {
        return new TRepresentante();
    }

    /**
     * Create an instance of {@link TStringList }
     * 
     */
    public TStringList createTStringList() {
        return new TStringList();
    }

    /**
     * Create an instance of {@link TInteresado }
     * 
     */
    public TInteresado createTInteresado() {
        return new TInteresado();
    }

    /**
     * Create an instance of {@link TTiposIdentificacionList }
     * 
     */
    public TTiposIdentificacionList createTTiposIdentificacionList() {
        return new TTiposIdentificacionList();
    }

    /**
     * Create an instance of {@link TTipoAdministracionList }
     * 
     */
    public TTipoAdministracionList createTTipoAdministracionList() {
        return new TTipoAdministracionList();
    }

    /**
     * Create an instance of {@link TDescriptionKeyValue }
     * 
     */
    public TDescriptionKeyValue createTDescriptionKeyValue() {
        return new TDescriptionKeyValue();
    }

    /**
     * Create an instance of {@link TUpdateRepresentation }
     * 
     */
    public TUpdateRepresentation createTUpdateRepresentation() {
        return new TUpdateRepresentation();
    }

    /**
     * Create an instance of {@link TActuacionesList }
     * 
     */
    public TActuacionesList createTActuacionesList() {
        return new TActuacionesList();
    }

    /**
     * Create an instance of {@link TTipoRepresentacionParticipacionList }
     * 
     */
    public TTipoRepresentacionParticipacionList createTTipoRepresentacionParticipacionList() {
        return new TTipoRepresentacionParticipacionList();
    }

    /**
     * Create an instance of {@link TCuenta }
     * 
     */
    public TCuenta createTCuenta() {
        return new TCuenta();
    }

    /**
     * Create an instance of {@link TRepresentanteParticipacion }
     * 
     */
    public TRepresentanteParticipacion createTRepresentanteParticipacion() {
        return new TRepresentanteParticipacion();
    }

    /**
     * Create an instance of {@link TContacto }
     * 
     */
    public TContacto createTContacto() {
        return new TContacto();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TRepresentanteParticipacionList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/x43a/rri/ws/xml", name = "getRepresentationsFoldersResponse")
    public JAXBElement<TRepresentanteParticipacionList> createGetRepresentationsFoldersResponse(TRepresentanteParticipacionList value) {
        return new JAXBElement<TRepresentanteParticipacionList>(_GetRepresentationsFoldersResponse_QNAME, TRepresentanteParticipacionList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TListaInteresados }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/x43a/rri/ws/xml", name = "getPersonsAccountResponse")
    public JAXBElement<TListaInteresados> createGetPersonsAccountResponse(TListaInteresados value) {
        return new JAXBElement<TListaInteresados>(_GetPersonsAccountResponse_QNAME, TListaInteresados.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TDescriptionKeyValueList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/x43a/rri/ws/xml", name = "updatePersonsAccountResponse")
    public JAXBElement<TDescriptionKeyValueList> createUpdatePersonsAccountResponse(TDescriptionKeyValueList value) {
        return new JAXBElement<TDescriptionKeyValueList>(_UpdatePersonsAccountResponse_QNAME, TDescriptionKeyValueList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TUpdateRepresentationList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/x43a/rri/ws/xml", name = "updateRepresentationToFolderParticipantResponse")
    public JAXBElement<TUpdateRepresentationList> createUpdateRepresentationToFolderParticipantResponse(TUpdateRepresentationList value) {
        return new JAXBElement<TUpdateRepresentationList>(_UpdateRepresentationToFolderParticipantResponse_QNAME, TUpdateRepresentationList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TListaInteresados }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/x43a/rri/ws/xml", name = "getEmployeeContactDataResponse")
    public JAXBElement<TListaInteresados> createGetEmployeeContactDataResponse(TListaInteresados value) {
        return new JAXBElement<TListaInteresados>(_GetEmployeeContactDataResponse_QNAME, TListaInteresados.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TListaInteresados }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/x43a/rri/ws/xml", name = "getPersonsConsentResponse")
    public JAXBElement<TListaInteresados> createGetPersonsConsentResponse(TListaInteresados value) {
        return new JAXBElement<TListaInteresados>(_GetPersonsConsentResponse_QNAME, TListaInteresados.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TUpdateRepresentationList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/x43a/rri/ws/xml", name = "updateRepresentationToRdRResponse")
    public JAXBElement<TUpdateRepresentationList> createUpdateRepresentationToRdRResponse(TUpdateRepresentationList value) {
        return new JAXBElement<TUpdateRepresentationList>(_UpdateRepresentationToRdRResponse_QNAME, TUpdateRepresentationList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TListaInteresados }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/x43a/rri/ws/xml", name = "searchPersonAccountResponse")
    public JAXBElement<TListaInteresados> createSearchPersonAccountResponse(TListaInteresados value) {
        return new JAXBElement<TListaInteresados>(_SearchPersonAccountResponse_QNAME, TListaInteresados.class, null, value);
    }

}
